package com.xinelu.manage.mapper.questioninfo;

import com.xinelu.manage.domain.questioninfo.QuestionInfo;
import com.xinelu.manage.dto.department.DepartmentCount;
import com.xinelu.manage.dto.questioninfo.QuestionInfoDto;
import com.xinelu.manage.vo.department.DepartmentVO;
import java.util.List;

/**
 * 问卷基本信息Mapper接口
 *
 * @author xinelu
 * @date 2024-02-28
 */
public interface QuestionInfoMapper {
    /**
     * 查询问卷基本信息
     *
     * @param id 问卷基本信息主键
     * @return 问卷基本信息
     */
    QuestionInfo selectQuestionInfoById(Long id);

    /**
     * 查询问卷基本信息列表
     *
     * @param questionInfo 问卷基本信息
     * @return 问卷基本信息集合
     */
    List<QuestionInfo> selectQuestionInfoList(QuestionInfo questionInfo);

    List<QuestionInfo> selectQuestionList(QuestionInfoDto questionInfo);
    /**
     * 新增问卷基本信息
     *
     * @param questionInfo 问卷基本信息
     * @return 结果
     */
    int insertQuestionInfo(QuestionInfo questionInfo);

    /**
     * 修改问卷基本信息
     *
     * @param questionInfo 问卷基本信息
     * @return 结果
     */
    int updateQuestionInfo(QuestionInfo questionInfo);

    /**
     * 删除问卷基本信息
     *
     * @param id 问卷基本信息主键
     * @return 结果
     */
    int deleteQuestionInfoById(Long id);

    /**
     * 批量删除问卷基本信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQuestionInfoByIds(Long[] ids);


    /**
     * 科室路径数量
     *
     * @param departmentCount 科室信息
     * @return DepartmentVO
     */
    List<DepartmentVO> departmentQuestionByDepartmentName(DepartmentCount departmentCount);
}
